Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.options
Class AddAccountModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.options.OptionsModel
              portlets.compoze.groupware.model.options.AddAccountModel

All Implemented Interfaces:
  java.io.Serializable

public class AddAccountModel
extends OptionsModel
implements java.io.Serializable

This class represents the data model for the add account page (`add_account.jsp`).

See Also:
  Serialized Form

Constructor Summary
`AddAccountModel(Accounts accounts, portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, ConnectionPropertyValue[] values)` Constructor.

Method Summary
`ConnectionPropertyValue[]` | `getDefaultConnectionPropertyValues()` Gets the default connection property values.
`java.lang.String` | `getProviderNameKey()` Gets the provider name i18n resource key.
`void` | `setProviderNameKey(java.lang.String sProviderNameKey)` Sets the provider name i18n resource key.

Methods inherited from class portlets.compoze.groupware.model.options.OptionsModel
`getOptionsGroup, getRequiredAccountName, isAccountRequired, isDeleteAccountAvailable, setIsAccountRequired, setRequiredAccountName`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddAccountModel

    public AddAccountModel(Accounts accounts,
                           portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                           FeatureGroup featureGroup,
                           GroupwarePreferences groupwarePrefs,
                           ConnectionPropertyValue[] values)

  Constructor.

Parameters:
  `accounts` - the accounts
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `values` - an array of connection property values

Method Detail

### getDefaultConnectionPropertyValues

    public ConnectionPropertyValue[] getDefaultConnectionPropertyValues()

  Gets the default connection property values.

  Returns:
    an array of connection property values

### getProviderNameKey

    public java.lang.String getProviderNameKey()

  Gets the provider name i18n resource key.

  Returns:
    the provider name i18n resource key

### setProviderNameKey

    public void setProviderNameKey(java.lang.String sProviderNameKey)

  Sets the provider name i18n resource key.

  Parameters:
    `sProviderNameKey` - the provider name i18n resource key

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.